#include <bits/stdc++.h>

#define MOD 1000000007

int brPonavljanja(std::string a, std::string b)
{
    int n = a.length();
    int m = b.length();

    int ukupno[n+1][m+1] = {{0}};

    for (int i=0;i<=m;++i){
        ukupno[0][i] = 0;
    }

    for (int i=0;i<=n;++i){
        ukupno[i][0] = 1;
    }

    for (int i=1;i<=n;++i){
        for (int j=1;j<=m;++j){
            if (a[i-1] == b[j-1]){
                ukupno[i][j] = (ukupno[i-1][j-1]+ukupno[i-1][j])%MOD;
            }else{
                ukupno[i][j] = ukupno[i-1][j];
            }
        }
    }

    return ukupno[n][m];
}

int main()
{
    std::ios::sync_with_stdio(false);
    std::cin.tie(0);
    std::cout.tie(0);
    std::cerr.tie(0);

    int n;
    std::string unos;
    std::string alfabet = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";

    std::cin >> n;
    std::cin >> unos;

    std::cout << brPonavljanja(unos,alfabet);

    return 0;
}